Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_FIFO Class Reference

Abstract base class for UNIX FIFOs. More...

`#include <FIFO.h>`

Inheritance diagram for ACE_FIFO

[legend]
Collaboration diagram for ACE_FIFO:

[legend]
List of all members.

## Public Methods
int | open (const ACE_TCHAR *rendezvous, int flags, int perms, LPSECURITY_ATTRIBUTES sa = 0)
| Open up the named pipe on the <rendezvous> in accordance with the flags.
int | close (void)
| Close down the ACE_FIFO without removing the rendezvous point.
int | remove (void)
| Close down the ACE_FIFO and remove the rendezvous point from the file system.
int | get_local_addr (const ACE_TCHAR *&rendezvous) const
| Return the local address of this endpoint.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Methods
| ACE_FIFO (void)
| Default constructor.
| ACE_FIFO (const ACE_TCHAR *rendezvous, int flags, int perms, LPSECURITY_ATTRIBUTES sa = 0)
| Open up the named pipe on the <rendezvous> in accordance with the flags.
## Private Attributes
ACE_TCHAR | rendezvous_ [MAXPATHLEN + 1]
| Rendezvous point in the file system.

## Detailed Description

Abstract base class for UNIX FIFOs.

UNIX FIFOs are also known Named Pipes, which are totally unrelated to Win32 Named Pipes. If you want to use a local IPC mechanism that will be portable to both UNIX and Win32, take a look at the classes.

## Constructor & Destructor Documentation

ACE_FIFO::ACE_FIFO ( | void )`[protected]`

| Default constructor.

ACE_FIFO::ACE_FIFO ( | const ACE_TCHAR * rendezvous,
| int flags,
| int perms,
| LPSECURITY_ATTRIBUTES sa = 0 )`[protected]`

| Open up the named pipe on the <rendezvous> in accordance with the flags.

## Member Function Documentation

int ACE_FIFO::close ( | void )

| Close down the ACE_FIFO without removing the rendezvous point. Reimplemented in ACE_FIFO_Recv.

void ACE_FIFO::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_IPC_SAP. Reimplemented in ACE_FIFO_Recv, ACE_FIFO_Recv_Msg, ACE_FIFO_Send, and ACE_FIFO_Send_Msg.

ACE_INLINE int ACE_FIFO::get_local_addr ( | const ACE_TCHAR *& r ) const

| Return the local address of this endpoint.

int ACE_FIFO::open ( | const ACE_TCHAR * rendezvous,
| int flags,
| int perms,
| LPSECURITY_ATTRIBUTES sa = 0 )

| Open up the named pipe on the <rendezvous> in accordance with the flags. Reimplemented in ACE_FIFO_Send, and ACE_FIFO_Send_Msg.

ACE_INLINE int ACE_FIFO::remove ( | void )

| Close down the ACE_FIFO and remove the rendezvous point from the file system.

## Member Data Documentation

ACE_FIFO::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_IPC_SAP. Reimplemented in ACE_FIFO_Recv, ACE_FIFO_Recv_Msg, ACE_FIFO_Send, and ACE_FIFO_Send_Msg.

ACE_TCHAR ACE_FIFO::rendezvous_[MAXPATHLEN+1]`[private]`

| Rendezvous point in the file system.

The documentation for this class was generated from the following files:

- FIFO.h
- FIFO.cpp
- FIFO.i